Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils.regex
Class Match

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.regex.Match

public class Match
extends java.lang.Object
implements java.lang.Cloneable

An instance of this class has ranges captured in matching.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  TAMURA Kent <kent@trl.ibm.co.jp>
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `RegularExpression.matches(char[], int, int, weblogic.apache.xerces.utils.regex.Match)`, `RegularExpression.matches(char[], weblogic.apache.xerces.utils.regex.Match)`, `RegularExpression.matches(java.text.CharacterIterator, weblogic.apache.xerces.utils.regex.Match)`, `RegularExpression.matches(java.lang.String, int, int, weblogic.apache.xerces.utils.regex.Match)`, `RegularExpression.matches(java.lang.String, weblogic.apache.xerces.utils.regex.Match)`

Constructor Summary
`Match()` Creates an instance.

Method Summary
`java.lang.Object` | `clone()`
`int` | `getBeginning(int index)` Return a start position in the target text matched to specified regular expression group.
`java.lang.String` | `getCapturedText(int index)` Return an substring of the target text matched to specified regular expression group.
`int` | `getEnd(int index)` Return an end position in the target text matched to specified regular expression group.
`int` | `getNumberOfGroups()` Return the number of regular expression groups.
`protected void` | `setBeginning(int index, int v)`
`protected void` | `setEnd(int index, int v)`
`protected void` | `setNumberOfGroups(int n)`
`protected void` | `setSource(char[] chars)`
`protected void` | `setSource(java.text.CharacterIterator ci)`
`protected void` | `setSource(java.lang.String str)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Match

    public Match()

  Creates an instance.

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### setNumberOfGroups

    protected void setNumberOfGroups(int n)

### setSource

    protected void setSource(java.text.CharacterIterator ci)

### setSource

    protected void setSource(java.lang.String str)

### setSource

    protected void setSource(char[] chars)

### setBeginning

    protected void setBeginning(int index,
                                int v)

### setEnd

    protected void setEnd(int index,
                          int v)

### getNumberOfGroups

    public int getNumberOfGroups()

  Return the number of regular expression groups. This method returns 1 when the regular expression has no capturing-parenthesis.

### getBeginning

    public int getBeginning(int index)

  Return a start position in the target text matched to specified regular expression group.

  Parameters:
    `index` - Less than `getNumberOfGroups()`.

### getEnd

    public int getEnd(int index)

  Return an end position in the target text matched to specified regular expression group.

  Parameters:
    `index` - Less than `getNumberOfGroups()`.

### getCapturedText

    public java.lang.String getCapturedText(int index)

  Return an substring of the target text matched to specified regular expression group.

  Parameters:
    `index` - Less than `getNumberOfGroups()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD